From a65ccd8e22edeee45827b8d9bb6373c262e56068 Mon Sep 17 00:00:00 2001
From: Andreas Loibl <andreas@andreas-loibl.de>
Date: Thu, 7 Feb 2013 10:03:12 +0100
Subject: added skype/libv4l wheezy/multiarch support

---
 config/chroot_local-hooks/02-skype |  9 +++++----
 config/lists/base                  | 11 ++---------
 config/lists/base.amd64            |  2 --
 config/lists/kanotix-kde-base      |  2 +-
 config/lists/kanotix-lxde-base     |  3 +--
 config/lists/minimal               |  9 ---------
 config/lists/squeeze-skype         | 11 +++++++++++
 config/lists/wheezy-skype          |  2 ++
 8 files changed, 22 insertions(+), 27 deletions(-)
 delete mode 100644 config/lists/base.amd64
 delete mode 100644 config/lists/minimal
 create mode 100644 config/lists/squeeze-skype

diff --git a/config/chroot_local-hooks/02-skype b/config/chroot_local-hooks/02-skype
index 9ff7ef4..7a84333 100755
--- a/config/chroot_local-hooks/02-skype
+++ b/config/chroot_local-hooks/02-skype
@@ -1,7 +1,8 @@
 #!/bin/sh
-exit
-
 if [ -f /usr/share/applications/skype.desktop ]; then
- sed -i 's|\(Exec\)=.*|\1=XLIB_SKIP_ARGB_VISUALS=1 LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype|' /usr/share/applications/skype.desktop || true
- [ -r /usr/lib32/libv4l/v4l1compat.so ] && sed -i 's|\(Exec\)=.*|\1=XLIB_SKIP_ARGB_VISUALS=1 LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype|' /usr/share/applications/skype.desktop || true
+    for lib in /usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/lib32/libv4l/v4l1compat.so /usr/lib/libv4l/v4l1compat.so
+    do
+        [ ! -r "$lib" ] && continue
+        sed -i 's|\(Exec\)=.*|\1=XLIB_SKIP_ARGB_VISUALS=1 LD_PRELOAD='"$lib"' skype|' /usr/share/applications/skype.desktop || true
+    done
 fi
diff --git a/config/lists/base b/config/lists/base
index cde5add..0ef7e15 100644
--- a/config/lists/base
+++ b/config/lists/base
@@ -1,13 +1,5 @@
 # Kanotix base Packages List
 
-#if ARCHITECTURE i386
-#include <base.i386>
-#endif
-
-#if ARCHITECTURE amd64
-#include <base.amd64>
-#endif
-
 #include <firmware>
 
 #include <base.kanotix>
@@ -70,6 +62,8 @@ schedtool
 hwinfo
 alsa-oss
 smartmontools
+eject
+file
 user-setup
 whois
 zsync
@@ -166,7 +160,6 @@ btrfs-tools
 # firmware
 ndiswrapper-utils-1.9
 ndiswrapper-dkms
-libv4l-0
 
 # other hardware
 bluez
diff --git a/config/lists/base.amd64 b/config/lists/base.amd64
deleted file mode 100644
index f8fb947..0000000
--- a/config/lists/base.amd64
+++ /dev/null
@@ -1,2 +0,0 @@
-# packages for 64bit systems
-lib32v4l-0 
diff --git a/config/lists/kanotix-kde-base b/config/lists/kanotix-kde-base
index 1b2a42a..e8b13c7 100644
--- a/config/lists/kanotix-kde-base
+++ b/config/lists/kanotix-kde-base
@@ -15,7 +15,7 @@ mplayerthumbs
 # skype
 pidgin-skype
 #if DISTRIBUTION squeeze
-skype
+#include <squeeze-skype>
 #endif
 #if DISTRIBUTION wheezy
 #include <wheezy-skype>
diff --git a/config/lists/kanotix-lxde-base b/config/lists/kanotix-lxde-base
index 44ac816..7830c81 100644
--- a/config/lists/kanotix-lxde-base
+++ b/config/lists/kanotix-lxde-base
@@ -82,7 +82,7 @@ vlc-plugin-pulse
 # skype
 pidgin-skype
 #if DISTRIBUTION squeeze
-skype
+#include <squeeze-skype>
 #endif
 #if DISTRIBUTION wheezy
 #include <wheezy-skype>
@@ -93,7 +93,6 @@ modemmanager
 mobile-broadband-provider-info
 blueman
 xfburn
-eject
 
 # dvb
 w-scan
diff --git a/config/lists/minimal b/config/lists/minimal
deleted file mode 100644
index 497ee71..0000000
--- a/config/lists/minimal
+++ /dev/null
@@ -1,9 +0,0 @@
-eject file user-setup
-
-#if MODE ubuntu
-gnupg
-#endif
-
-#if DISTRIBUTION wheezy
-live-config
-#endif
diff --git a/config/lists/squeeze-skype b/config/lists/squeeze-skype
new file mode 100644
index 0000000..b6b92bb
--- /dev/null
+++ b/config/lists/squeeze-skype
@@ -0,0 +1,11 @@
+# skype for squeeze
+skype
+
+#if ARCHITECTURE i386
+libv4l-0
+#endif
+
+#if ARCHITECTURE amd64
+lib32v4l-0
+#endif
+
diff --git a/config/lists/wheezy-skype b/config/lists/wheezy-skype
index 08913ca..ba99266 100644
--- a/config/lists/wheezy-skype
+++ b/config/lists/wheezy-skype
@@ -2,9 +2,11 @@
 
 #if ARCHITECTURE i386
 skype
+libv4l-0
 #endif
 
 #if ARCHITECTURE amd64
 skype:i386
+libv4l-0:i386
 #endif
 
-- 
cgit v1.0